EDIT - bug #9235

Footnote key for multiple cdm entities need to be rendered together
09/29/2020 04:49 PM - Andreas Kohlbecker

Status: Closed Start date:

Priority: Highest Due date:

Assignee: Andreas Kohlbecker % Done: 100%
Category: cdm-dataportal Estimated time: 0:00 hour
Target version: Release 5.18

Severity: critical Found in Version:

Description

Currently footnote keys are created per cdm entity. When footnote keys are created for name and taxon they need to be joined. This
however can hardly be achieved since the keys are enclosed into HTML tags for formatting and other purposes. Simple
concatenation leads to awful appearance.

Here as example Nodosilinea sensensia (integration reference db):

Nodosilinea sensensia (Blanco) Heidari & Hauer ex Lem, Nonsens species of the developers Vol1. 2001,
comb. nov.’? [non Nodosilinea sensensia® nec Nodosilinea sensensia® nec Nodosilinea blockensis® orth.
var.? Nodosilinea sensensi’,?]

see also:

e render_taxon_or_name(): FIMXE close to end of function

e cdm-dataportal|890f6c24

Related issues:
Related to EDIT - feature request #9209: name page, registration page: show a... Closed

Associated revisions

Revision ¢3e93473 - 09/29/2020 06:04 PM - Andreas Kohlbecker

ref #9235 adapting test to meet real expectations

Revision 95ef7468 - 09/30/2020 05:57 PM - Andreas Kohlbecker

ref #9235 annotations and sources as class for better merging of footnote keys of multiple enities

Revision f513f3ca - 10/01/2020 02:31 PM - Andreas Kohlbecker

ref #9235 annotations and sources as class for better merging of footnote keys of multiple enities - commit missing class

Revision 6d5ee807 - 10/01/2020 04:11 PM - Andreas Kohlbecker
ref #9235 fixing copy paste bug

History

#1 - 09/29/2020 04:49 PM - Andreas Kohlbecker

- Related to feature request #9209: name page, registration page: show annotations for names and fieldunits added

#2 - 09/29/2020 05:51 PM - Andreas Kohlbecker

- Description updated

#3 - 10/01/2020 04:58 PM - Andreas Kohlbecker
- Status changed from New to Closed

- % Done changed from 0 to 100

completed.
https://dev.e-taxonomy.eu/redmine/projects/edit/repository/cdm-dataportal/revisions/890f6c24708fd403c048294449a0de0a6438e2c7
